Freesco, NND, CDN, EOS

http://www.freesco.pl
Dzisiaj jest poniedziałek, 11 grudnia 2017, 17:20

Strefa czasowa UTC+2godz.




Nowy temat Odpowiedz w temacie  [ Posty: 21 ]  Przejdź na stronę 1, 2  Następna
Autor Wiadomość
Post: poniedziałek, 11 marca 2013, 17:39 
Offline
Użytkownik

Rejestracja: poniedziałek, 4 lipca 2005, 11:37
Posty: 118
Lokalizacja: Gdynia
Na wstępie - podziękowania dla Maćka za tą (php-5.3.2-1nnd.pkg.tar.gz) i pozostałe świeższe paczki :wink:

Ale niestety nie obeszło się bez zgrzytu, mianowicie wreszcie po udanym zainstalowaniu owego php 5.3.2, okazuje się, że nie wszystko trybi jak należy...
Samo php jest poprawnie wyświetlane, ale obsługuje (parsuje, chyba tak się powinno powiedzieć), bo przy próbie zalogowania się na forum, które mam na tym serwie, wywala właśnie komunikat
Cytuj:
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 42: preg_match(): Compilation failed: this version of PCRE is not compiled with PCRE_UTF8 support at offset 0
Znacznie inaczej jest ze stronami opartymi na joomli:
Cytuj:
Błąd HTTP 500 (Internal Server Error)

tylko w logach doczytać się można o wymienionym problemie...

Z tego co wyczytałem, to trzeba przekompilować pcre, żeby zaczęło sobie "tłumaczyć" z lub na UTF8... (jakkolwiek)

Czy ktoś jest w stanie coś mi z tym pomóc? Co ewentualnie mam zrobić, jak to przekompilować, cokolwiek...
Ładnie proszę :roll:

_________________
1.) NND 0.2.4 -> PC PIII 800 MHz, 512 MB RAM, 120 GB IDE UDMA 4 [Jest awaryjnie]
2.) Ubuntu 14... -> HP Proliant ML350 G3, Pentium D 3.2 GHz, 4GB RAM, 500GB + 2x500GB@HW Raid I [żarł za dużo prądu]
3.) Debian 8... -> w obudowie po HP NetServer E800, i5-2500K, 16GB RAM, 1+1TB soft RAID1 + 3+3TB soft RAID1


Na górę
 Wyświetl profil  
 
Post: wtorek, 12 marca 2013, 23:04 
Offline
Użytkownik

Rejestracja: poniedziałek, 4 lipca 2005, 11:37
Posty: 118
Lokalizacja: Gdynia
Nikt, nic :?:

_________________
1.) NND 0.2.4 -> PC PIII 800 MHz, 512 MB RAM, 120 GB IDE UDMA 4 [Jest awaryjnie]
2.) Ubuntu 14... -> HP Proliant ML350 G3, Pentium D 3.2 GHz, 4GB RAM, 500GB + 2x500GB@HW Raid I [żarł za dużo prądu]
3.) Debian 8... -> w obudowie po HP NetServer E800, i5-2500K, 16GB RAM, 1+1TB soft RAID1 + 3+3TB soft RAID1


Na górę
 Wyświetl profil  
 
Post: środa, 13 marca 2013, 07:34 
Offline
Użytkownik

Rejestracja: niedziela, 16 maja 2004, 21:32
Posty: 1203
Lokalizacja: Bieruń
Ta paczka jest w repo od 2lat, wiec nie wiem dlaczego uważasz ja za "świeższą", kiedy robiłeś aktualizacje?. Nie napisałeś co to za inne świeższe paczki. Moze wystarczy "pacman -S pcre"


Na górę
 Wyświetl profil  
 
Post: środa, 13 marca 2013, 12:28 
Offline
Użytkownik

Rejestracja: poniedziałek, 4 lipca 2005, 11:37
Posty: 118
Lokalizacja: Gdynia
Wcześniej nie potrzebowałem php 5.3.
Dopiero od miesiąca jest mi potrzebne, pcre jest to samo co w repo czyli 7.4-2.
Jak znalazłem post Maćka o nowym php, to je zaktualizowałem, a tu zaczęły się schody z utf8 :(
Pozostałe pakiety są aktualne.
Inne świeższe paczki, to clam 97 i mysql, ale jego nie aktualizowałem póki co, bo nie mam potrzeby.

Pozostaje mi tylko obsługa UTF8. :roll:

Puściłem aktualizację pcre, ale nic się nie zmieniło, chyba, że coś można zmienić w konfigach, żeby zaczęło trybić...

_________________
1.) NND 0.2.4 -> PC PIII 800 MHz, 512 MB RAM, 120 GB IDE UDMA 4 [Jest awaryjnie]
2.) Ubuntu 14... -> HP Proliant ML350 G3, Pentium D 3.2 GHz, 4GB RAM, 500GB + 2x500GB@HW Raid I [żarł za dużo prądu]
3.) Debian 8... -> w obudowie po HP NetServer E800, i5-2500K, 16GB RAM, 1+1TB soft RAID1 + 3+3TB soft RAID1


Na górę
 Wyświetl profil  
 
Post: środa, 13 marca 2013, 15:58 
Offline
Użytkownik

Rejestracja: niedziela, 16 maja 2004, 21:32
Posty: 1203
Lokalizacja: Bieruń
Tak prawdę powiedziawszy to raczej php nie ma nic do kodowania www, co ci pokaże "locale -a", no i co mi jeszcze przychodzi do głowy to czy włączyłeś php5 w httpd.conf?


Na górę
 Wyświetl profil  
 
Post: środa, 13 marca 2013, 18:28 
Offline
Honorowy Admin

Rejestracja: piątek, 5 lipca 2002, 17:30
Posty: 7800
Lokalizacja: Słupsk
Nie bardzo wiem o co w tym wszystkim chodzi, pakiet php był kompilowany w istniejącym środowisku, więc raczej jest zgodny. Wiem tylko, że wyskakują w logach jakieś mało istotne ostrzeżenia związane z mysql, ponieważ kolejność powinna być taka, że najpierw mysql a potem php, a ja chyba zrobiłem odwrotnie.
Całe NND ma locale ISO-8859-2, więc nie wiem, czy w ogóle jest tu inna możliwość.
Przekompilować pcre możesz. Potrzebne pliki są w repozytorium w katalogu NND.

_________________
Obrazek Belfer.one.PL
Obrazek Audio Cafe


Na górę
 Wyświetl profil  
 
Post: środa, 13 marca 2013, 23:52 
Offline
Użytkownik

Rejestracja: niedziela, 16 maja 2004, 21:32
Posty: 1203
Lokalizacja: Bieruń
No właśnie Maćku, NND ma locale ISO-8859-2, a jakieś forum (pewnie 3.x) potrzebuje UTF8 i tu jest problem, nie zmieniałeś tego forum?


Na górę
 Wyświetl profil  
 
Post: czwartek, 14 marca 2013, 00:01 
Offline
Użytkownik

Rejestracja: poniedziałek, 4 lipca 2005, 11:37
Posty: 118
Lokalizacja: Gdynia
Dzięki bardzo za zainteresowanie!
PHP oczywiście jest włączone, bo inaczej w ogóle nie wyświetlało by stron.
Mam dostęp do mailadmina i normalnie działa, phpmyadmin również bez problemu.
Jedynie właśnie forum oparte na phpBB3 wyświetla się prawidłowo, ale nie można się zalogować.
Jak już napisałem wcześniej strony oparte na joomli, wywalają err.500...

Spróbuję przekompilować to pcre z opcją +UTF8, tylko poproszę o jakieś wskazówki :oops:
W życiu nie kompilowałem nigdy niczego, zawsze wszystko szło z paczek.
Co muszę pobrać i jak to zrobić?
Chociaż małe naprowadzenie się przyda...

Forum jest tak jak było. Po zmianie php wyłożyło się logowanie...

_________________
1.) NND 0.2.4 -> PC PIII 800 MHz, 512 MB RAM, 120 GB IDE UDMA 4 [Jest awaryjnie]
2.) Ubuntu 14... -> HP Proliant ML350 G3, Pentium D 3.2 GHz, 4GB RAM, 500GB + 2x500GB@HW Raid I [żarł za dużo prądu]
3.) Debian 8... -> w obudowie po HP NetServer E800, i5-2500K, 16GB RAM, 1+1TB soft RAID1 + 3+3TB soft RAID1


Na górę
 Wyświetl profil  
 
Post: czwartek, 14 marca 2013, 16:47 
Offline
Użytkownik

Rejestracja: niedziela, 16 maja 2004, 21:32
Posty: 1203
Lokalizacja: Bieruń
Cytuj:
PHP oczywiście jest włączone, bo inaczej w ogóle nie wyświetlało by stron.
Mam dostęp do mailadmina i normalnie działa, phpmyadmin również bez problemu.

No nie takiej odpowiedzi się spodziewałem, samo php5 Ci się nie włączy, trzeba dopisać odpalanie w httpd.conf
np. tak : Include conf/extra/php5_module.conf, może inaczej, jesteś pewny ze to php które ci działa to php5? dopytuje bo z tego co pamiętam, jak miałem NND to php5 nie bardzo chciało się odpalić.


Na górę
 Wyświetl profil  
 
Post: czwartek, 14 marca 2013, 19:23 
Offline
Użytkownik

Rejestracja: poniedziałek, 4 lipca 2005, 11:37
Posty: 118
Lokalizacja: Gdynia
Dokładnie tak jak piszesz.
Oto kawałek moich configów:
: [/] [] ()
Plik: httpd.conf        Kol 0              11964 bajtów                     100%
#
# Obsluga php
#
# Jezeli chcesz używac php, odkomentuj poniższą linie a następnie zajrzyj
# do pliku /etc/httpd/conf/php.conf

Include /etc/httpd/conf/extra/php5_module.conf

oraz

: [/] [] ()
Plik: php5_module.conf  Kol 0              299 bajtów                       100%
# Required modules: dir_module, php5_module
#LoadModule php5_module    /usr/lib/apache/libphp5.so
<IfModule dir_module>
        <IfModule php5_module>
                DirectoryIndex index.php index.html
                AddHandler application/x-httpd-php .php
                AddHandler application/x-httpd-php-source .phps
        </IfModule>
</IfModule>


Zainstalowane jest tylko najnowsze php5.3 oraz devel i man, wszystko z jednego źródła.

Był problem przy odinstalowaniu wcześniejszego, bo miałem php (znaczy 4) + php5 (czyli 5.2 ze standardowych - extra current repo) oraz devel do nich i odinstalowałem komplet bez sprawdzania zależności, po czym zainstalowałem 5.3.

Po zainstalowaniu tylko musiałem poprawić ścieżkę do /usr/lib/apache/libphp5.so, bo było chyba o ile pamiętam zamiast "apache" - httpd...

_________________
1.) NND 0.2.4 -> PC PIII 800 MHz, 512 MB RAM, 120 GB IDE UDMA 4 [Jest awaryjnie]
2.) Ubuntu 14... -> HP Proliant ML350 G3, Pentium D 3.2 GHz, 4GB RAM, 500GB + 2x500GB@HW Raid I [żarł za dużo prądu]
3.) Debian 8... -> w obudowie po HP NetServer E800, i5-2500K, 16GB RAM, 1+1TB soft RAID1 + 3+3TB soft RAID1


Na górę
 Wyświetl profil  
 
Post: czwartek, 14 marca 2013, 20:40 
Offline
Użytkownik

Rejestracja: niedziela, 16 maja 2004, 21:32
Posty: 1203
Lokalizacja: Bieruń
Tak jak myślałem, masz mały błąd, o ile to co wkleiłeś teraz u Ciebie pracuje to masz błąd, ta cześć kodu
Cytuj:
# Required modules: dir_module, php5_module
#LoadModule php5_module /usr/lib/apache/libphp5.so
<IfModule dir_module>
<IfModule php5_module>
DirectoryIndex index.php index.html
AddHandler application/x-httpd-php .php
AddHandler application/x-httpd-php-source .phps
</IfModule>
</IfModule>

nie powinno byc # w:
Cytuj:
LoadModule php5_module /usr/lib/apache/libphp5.so

bo nie ładują się liby, usuń ten płotek i "/etc/rc.d/httpd restart"
Ciekawi mnie tylko dlaczego jest # w tym pliku skoro nie ma go w pliku w paczce??


Na górę
 Wyświetl profil  
 
Post: czwartek, 14 marca 2013, 23:04 
Offline
Użytkownik

Rejestracja: poniedziałek, 4 lipca 2005, 11:37
Posty: 118
Lokalizacja: Gdynia
Aj, przepraszam, zapomniałem, że zmieniłem (w poszukiwaniu rozwiązań) wpis "LoadModule php5_module" jest jeszcze w "httpd.conf"
dla potwierdzenia jego wcześniejszy-kolejny fragment:
: [/] [] ()
httpd.conf         [----]  0 L:[138+21 159/348] *(6019/11964b)= L  76 0x4C
LoadModule speling_module          /usr/lib/apache/mod_speling.so
#LoadModule status_module           /usr/lib/apache/mod_status.so
#LoadModule unique_id_module        /usr/lib/apache/mod_unique_id.so
LoadModule userdir_module          /usr/lib/apache/mod_userdir.so
#LoadModule usertrack_module        /usr/lib/apache/mod_usertrack.so
#LoadModule version_module          /usr/lib/apache/mod_version.so
LoadModule vhost_alias_module      /usr/lib/apache/mod_vhost_alias.so
LoadModule php5_module          /usr/lib/apache/libphp5.so


ErrorLog /var/log/httpd/error_log

# LogLevel: Ilosc informacji generowana w logach.
# Do wyboru sa opcje: debug, info, notice, warn, error, crit,
# alert, emerg.
LogLevel debug

LogFormat "%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-Agent}i\"" combine
LogFormat "%h %l %u %t \"%r\" %>s %b" common
LogFormat "%{Referer}i -> %U" referer

Bez tego, to przecież wcale nie ładowało by się php :oops:

Ale mea culpa, zapomniałem o tym...
Sorki, wprowadziłem w ten sposób małe zamieszanie.

Teraz jeszcze na wszelki wypadek zmieniłem, ponownie jest tak jak powinno być, żeby ładowało się z "php5_module.conf", ale to akurat nie robi chyba różnicy.
Efekt logowania na forum pozostaje nadal taki sam :evil:

_________________
1.) NND 0.2.4 -> PC PIII 800 MHz, 512 MB RAM, 120 GB IDE UDMA 4 [Jest awaryjnie]
2.) Ubuntu 14... -> HP Proliant ML350 G3, Pentium D 3.2 GHz, 4GB RAM, 500GB + 2x500GB@HW Raid I [żarł za dużo prądu]
3.) Debian 8... -> w obudowie po HP NetServer E800, i5-2500K, 16GB RAM, 1+1TB soft RAID1 + 3+3TB soft RAID1


Na górę
 Wyświetl profil  
 
Post: czwartek, 14 marca 2013, 23:28 
Offline
Użytkownik

Rejestracja: niedziela, 16 maja 2004, 21:32
Posty: 1203
Lokalizacja: Bieruń
No to ja się już poddaje, nie mam już NND, wiec za bardzo nawet sprawdzać nie mam jak.
EDIT
przywrócił bym php4 i sprawdził czy to na pewno wina php czy może coś się zmieniło innego


Na górę
 Wyświetl profil  
 
Post: czwartek, 14 marca 2013, 23:44 
Offline
Użytkownik

Rejestracja: poniedziałek, 4 lipca 2005, 11:37
Posty: 118
Lokalizacja: Gdynia
rikardo7, bankowo całość się sprowadza do przekompilowania tego nieszczęsnego pcre... (mam nadzieję)
Tylko szkoda, że nie wiem nawet jak to ugryźć 8O

Bo jeśli nie, to będę zmuszony zmieniać soft na serwie :roll: a to już mi się średnio uśmiecha :wink:

_________________
1.) NND 0.2.4 -> PC PIII 800 MHz, 512 MB RAM, 120 GB IDE UDMA 4 [Jest awaryjnie]
2.) Ubuntu 14... -> HP Proliant ML350 G3, Pentium D 3.2 GHz, 4GB RAM, 500GB + 2x500GB@HW Raid I [żarł za dużo prądu]
3.) Debian 8... -> w obudowie po HP NetServer E800, i5-2500K, 16GB RAM, 1+1TB soft RAID1 + 3+3TB soft RAID1


Na górę
 Wyświetl profil  
 
Post: piątek, 15 marca 2013, 15:42 
Offline
Użytkownik

Rejestracja: niedziela, 16 maja 2004, 21:32
Posty: 1203
Lokalizacja: Bieruń
Albo przeinstalować phpBB, szybciej będzie i mniej problemów.


Na górę
 Wyświetl profil  
 
Post: piątek, 15 marca 2013, 16:36 
Offline
Użytkownik

Rejestracja: poniedziałek, 4 lipca 2005, 11:37
Posty: 118
Lokalizacja: Gdynia
rikardo7, dzięki za wsparcie, ale niestety reinstalka forum też nie przechodzi, bo:
Cytuj:
Wersja PHP i ustawienia
Wymagane - Aby zainstalować phpBB3, na serwerze musi być zainstalowane PHP w wersji nie niższej niż 4.3.3. Jeśli poniżej wyświetla się napis safe mode, oznacza to, że PHP na Twoim serwerze działa w tym trybie. To może wprowadzić nieprawidłowości w działaniu niektórych funkcji forum.

Wersja PHP >= 4.3.3:
Tak
Ustawienie PHP register_globals jest zablokowane:
phpBB będzie działać nawet jeśli to ustawienie jest włączone, ale jeśli to możliwe, to powinno zostać wyłączone, ponieważ jest luką bezpieczeństwa.
Tak
Ustawienie PHP allow_url_fopen jest odblokowane:
Opcjonalne - To ustawienie nie jest konieczne, ale niektóre funkcje phpBB (m.in. avatary trzymane na innych serwerach) nie będą działać, jeżeli to ustawienie będzie zablokowane.
Tak
Dostępność funkcji PHP getimagesize():
Wymagane - Żeby phpBB działało prawidłowo, funkcja getimagesize() musi działać.
Tak
Obsługa UTF-8 przez PCRE:
phpBB nie zadziała, jeśli Twoja instalacja PHP nie została skompilowana ze wsparciem UTF-8 w rozszerzeniu PCRE.
Nie


Wiem, choć jeszcze nie sprawdziłem, że jeśli przywrócę poprzednią konfigurację (php4+php5.2) to i forum i joomla wstanie bez problemu...
Wieczorem sobie sprawdzę...

Zatem pytanie, co trzeba zrobić, żeby na NND 0.2.4 przekompilować PCRE :?:
Gdzie szukać wsparcia?
Mamy gdzieś na forum jakiś taki wątek?
Może gdzieś indziej szukać, tylko co zadziała na NND :roll: ?

_________________
1.) NND 0.2.4 -> PC PIII 800 MHz, 512 MB RAM, 120 GB IDE UDMA 4 [Jest awaryjnie]
2.) Ubuntu 14... -> HP Proliant ML350 G3, Pentium D 3.2 GHz, 4GB RAM, 500GB + 2x500GB@HW Raid I [żarł za dużo prądu]
3.) Debian 8... -> w obudowie po HP NetServer E800, i5-2500K, 16GB RAM, 1+1TB soft RAID1 + 3+3TB soft RAID1


Na górę
 Wyświetl profil  
 
Post: piątek, 15 marca 2013, 16:53 
Offline
Użytkownik

Rejestracja: niedziela, 16 maja 2004, 21:32
Posty: 1203
Lokalizacja: Bieruń
Aby kompilować trzeba zainstalować devel
EDIT
możesz wrzucić tez wcześniejsze phpBB, bo 3,0 moze robic jeszcze inne jaja na NND


Na górę
 Wyświetl profil  
 
Post: poniedziałek, 18 marca 2013, 07:55 
Offline
Użytkownik

Rejestracja: poniedziałek, 4 lipca 2005, 11:37
Posty: 118
Lokalizacja: Gdynia
Jak to zwykle w życiu bywa, często coś idzie bardzo pod górkę :wink:
Jak na złość w sobotę o 15 padł mi internet, główne łącze po prostu zostało wyłączone.
Po małym dochodzeniu okazało się, że technik TPsy po prostu odpiął mnie od sieci. :evil:
Więc ani nie zainstalowałem "devel", jak i nie sprawdziłem ponownie pakietu php4+5.2 :(
Dzięki temu miałem "wolny weekend"...

Bynajmniej, apropo forum na skrypcie phpBB3 nie sprawiało mi nigdy żadnych problemów, co innego skrypt forum "by Przemo". Na samym początku właśnie takie było, ale szybko musiałem zmienić, bo atak spamerów wybił mi je z głowy.
Nie miałem problemów ani z zainstalowaniem, aktualizacją, jak i przeniesieniem postów ze źródła, którym było właśnie forum "by Przemo". Doinstalowałem prawie od razu moduł uwierzytelniania "captcha" i śmigało aż miło.

Może teraz w zaczynającym się tygodniu coś więcej uda mi się zrobić :roll:

_________________
1.) NND 0.2.4 -> PC PIII 800 MHz, 512 MB RAM, 120 GB IDE UDMA 4 [Jest awaryjnie]
2.) Ubuntu 14... -> HP Proliant ML350 G3, Pentium D 3.2 GHz, 4GB RAM, 500GB + 2x500GB@HW Raid I [żarł za dużo prądu]
3.) Debian 8... -> w obudowie po HP NetServer E800, i5-2500K, 16GB RAM, 1+1TB soft RAID1 + 3+3TB soft RAID1


Na górę
 Wyświetl profil  
 
Post: czwartek, 21 marca 2013, 00:15 
Offline
Użytkownik

Rejestracja: poniedziałek, 4 lipca 2005, 11:37
Posty: 118
Lokalizacja: Gdynia
Dopiero dziś podpieli mi świat do serwera 8O masakra jakaś!

Do rzeczy:
rikardo7 pisze:
Aby kompilować trzeba zainstalować devel
Ale zainstalować devel-co?
Sam devel jako paczka nie występuje...
Znaczy devel i w tym konkretnym przypadku pcre-devel?

Sorki, za lamerskie pytanie, ale pytam bo nie wiem. Poproszę jakąś podpowiedź. :roll:

_________________
1.) NND 0.2.4 -> PC PIII 800 MHz, 512 MB RAM, 120 GB IDE UDMA 4 [Jest awaryjnie]
2.) Ubuntu 14... -> HP Proliant ML350 G3, Pentium D 3.2 GHz, 4GB RAM, 500GB + 2x500GB@HW Raid I [żarł za dużo prądu]
3.) Debian 8... -> w obudowie po HP NetServer E800, i5-2500K, 16GB RAM, 1+1TB soft RAID1 + 3+3TB soft RAID1


Na górę
 Wyświetl profil  
 
Post: czwartek, 21 marca 2013, 00:46 
Offline
Użytkownik

Rejestracja: niedziela, 16 maja 2004, 21:32
Posty: 1203
Lokalizacja: Bieruń
poszukaj na tym forum, jest temat i to nie jeden, ja na szybko znalazłem TO może ci coś to pomoże.Wiem że to głupia pomoc ale wujek google tez pewnie Ci pomoże.


Na górę
 Wyświetl profil  
 
Wyświetl posty nie starsze niż:  Sortuj wg  
Nowy temat Odpowiedz w temacie  [ Posty: 21 ]  Przejdź na stronę 1, 2  Następna

Strefa czasowa UTC+2godz.


Kto jest online

Użytkownicy przeglądający to forum: Obecnie na forum nie ma żadnego zarejestrowanego użytkownika i 3 gości


Nie możesz tworzyć nowych tematów
Nie możesz odpowiadać w tematach
Nie możesz zmieniać swoich postów
Nie możesz usuwać swoich postów
Nie możesz dodawać załączników

Szukaj:
Przejdź do:  
cron
Technologię dostarcza phpBB® Forum Software © phpBB Group
Hosting: Compus-Net
RobertKonik.pl